メインコンテンツへスキップ
PUT
/
integrators
/
timeline
/
v3
/
{appId}
/
event-templates
/
{eventTemplateId}
イベントテンプレートを更新
curl --request PUT \
  --url https://api.hubapi.com/integrators/timeline/v3/{appId}/event-templates/{eventTemplateId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "<string>",
  "name": "<string>",
  "tokens": [
    {
      "label": "<string>",
      "name": "<string>",
      "options": [
        {
          "label": "<string>",
          "value": "<string>"
        }
      ],
      "type": "date",
      "createdAt": "2023-11-07T05:31:56Z",
      "objectPropertyName": "<string>",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "detailTemplate": "<string>",
  "headerTemplate": "<string>"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "objectType": "<string>",
  "tokens": [
    {
      "label": "<string>",
      "name": "<string>",
      "options": [
        {
          "label": "<string>",
          "value": "<string>"
        }
      ],
      "type": "date",
      "createdAt": "2023-11-07T05:31:56Z",
      "objectPropertyName": "<string>",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "detailTemplate": "<string>",
  "headerTemplate": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

appId
integer<int32>
必須

ターゲットアプリのID。

eventTemplateId
string
必須

イベントテンプレートID。

ボディ

application/json
id
string
必須

テンプレートID。

name
string
必須

テンプレート名。

tokens
object[]
必須

イベントのカスタムプロパティーとして使用でき、完全なCRMオブジェクトを作成するためのトークンのコレクション。

detailTemplate
string

詳細を展開すると、Handlebarsとイベント固有のデータを含めてMarkdown構文を使用してタイムラインでHTMLがレンダリングされます。

headerTemplate
string

ヘッダーとして、Handlebarsとイベント固有のデータを含めてMarkdown構文を使用してタイムラインでHTMLがレンダリングされます。

レスポンス

successful operation

id
string
必須

テンプレートID。

name
string
必須

テンプレート名。

objectType
string
必須

このテンプレートが[コンタクト、会社、チケット、取引]についてサポートされているCRMオブジェクトのタイプ。

tokens
object[]
必須

イベントのカスタムプロパティーとして使用でき、完全なCRMオブジェクトを作成するためのトークンのコレクション。

createdAt
string<date-time>

イベントテンプレートが作成された日時(ISO 8601タイムスタンプ)。テンプレートが2020年2月18日より前に作成された場合はnullになります。

detailTemplate
string

詳細を展開すると、Handlebarsとイベント固有のデータを含めてMarkdown構文を使用してタイムラインでHTMLがレンダリングされます。

headerTemplate
string

ヘッダーとして、Handlebarsとイベント固有のデータを含めてMarkdown構文を使用してタイムラインでHTMLがレンダリングされます。

updatedAt
string<date-time>

イベントテンプレートが最後に更新された日時(ISO 8601タイムスタンプ)。テンプレートが2020年2月18日より前に作成された場合はnullになります。

Last modified on April 13, 2026